
CD-Section: Follow Symmetry Changes
C In a similar manner to that used in the Keyword Data Module (KDM) and
C Laue Data Module (LDM) routines, facilities are available to track any
C changes made to the symmetry parameters during the operation of a program.
CD-end

C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     KSM_CH_RESET       **
C****************************
C
C
CD-Routine: Reset symmetry changed flags - KSM_CH_RESET
C This routine is used to reset (cancel) the symmetry data changed flags for
C a requested channel or for all channels.
CD-end
CD-Fortran:
      SUBROUTINE KSM_CH_RESET (ICHAN, IERR)
CD-end
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Reset symmetry data changed flag(s) 
C
C Author:  John W. Campbell, July 1995
C
C Arguments:
C
C
      INTEGER ICHAN
      INTEGER IERR
CD-Parameters:
C  ICHAN   i (R) Channel number for reset (1-16), 0 = all channels
C  IERR    i (W) Invalid channel parameter
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== FUNCTION TYPES:
C

C
C====== LOCALS:
C
      INTEGER ICH
      INTEGER MIN_CH
      INTEGER MAX_CH
C
C-------------------------------------------------------------------------------
C
      IF (ICHAN.EQ.0) THEN
         MIN_CH = 0
         MAX_CH = 15
      ELSE
         MIN_CH = ICHAN - 1
         MAX_CH = ICHAN - 1
      END IF

      DO 100 ICH = MIN_CH, MAX_CH
         CALL STBITS (CH_SYMM,ICH,1,0)
 100  CONTINUE
      RETURN
      END
